## CongNodeModificationAddBefore

CongNodeModificationAddBefore —

## Synopsis

    struct      CongNodeModificationAddBefore;
    #define     CONG_NODE_MODIFICATION_ADD_BEFORE(obj)
    #define     CONG_NODE_MODIFICATION_ADD_BEFORE_CLASS(klass)
    #define     IS_CONG_NODE_MODIFICATION_ADD_BEFORE(obj)
    GType       cong_node_modification_add_before_get_type
                                                (void);
    CongNodeModificationAddBefore* cong_node_modification_add_before_construct
                                                (CongNodeModificationAddBefore *node_modification_add_before,
                                                 CongDocument *doc,
                                                 CongNodePtr node,
                                                 CongNodePtr younger_sibling);
    CongModification* cong_node_modification_add_before_new
                                                (CongDocument *doc,
                                                 CongNodePtr node,
                                                 CongNodePtr younger_sibling);

## Object Hierarchy

      GObject
       +----CongModification
             +----CongNodeModification
                   +----CongNodeModificationAddBefore

## Description

## Details

### struct CongNodeModificationAddBefore

    struct CongNodeModificationAddBefore;

### CONG_NODE_MODIFICATION_ADD_BEFORE()

    #define CONG_NODE_MODIFICATION_ADD_BEFORE(obj)         G_TYPE_CHECK_INSTANCE_CAST (obj, CONG_NODE_MODIFICATION_ADD_BEFORE_TYPE, CongNodeModificationAddBefore)

`obj` : |

### CONG_NODE_MODIFICATION_ADD_BEFORE_CLASS()

    #define CONG_NODE_MODIFICATION_ADD_BEFORE_CLASS(klass) G_TYPE_CHECK_CLASS_CAST (klass, CONG_NODE_MODIFICATION_ADD_BEFORE_TYPE, CongNodeModificationAddBeforeClass)

`klass` : |

### IS_CONG_NODE_MODIFICATION_ADD_BEFORE()

    #define IS_CONG_NODE_MODIFICATION_ADD_BEFORE(obj)      G_TYPE_CHECK_INSTANCE_TYPE (obj, CONG_NODE_MODIFICATION_ADD_BEFORE_TYPE)

`obj` : |

### cong_node_modification_add_before_get_type ()

    GType       cong_node_modification_add_before_get_type
                                                (void);

Returns : |

### cong_node_modification_add_before_construct ()

    CongNodeModificationAddBefore* cong_node_modification_add_before_construct
                                                (CongNodeModificationAddBefore *node_modification_add_before,
                                                 CongDocument *doc,
                                                 CongNodePtr node,
                                                 CongNodePtr younger_sibling);

TODO: Write me

`node_modification_add_before` : |
`doc` : |
`node` : |
`younger_sibling` : |
Returns : |

### cong_node_modification_add_before_new ()

    CongModification* cong_node_modification_add_before_new
                                                (CongDocument *doc,
                                                 CongNodePtr node,
                                                 CongNodePtr younger_sibling);

TODO: Write me

`doc` : |
`node` : |
`younger_sibling` : |
Returns : |